import { DefinitionNode, DocumentNode, GraphQLSchema, Source } from 'graphql';
export interface Config {
    /**
     * Produces `schema { }`
     */
    useSchemaDefinition?: boolean;
    /**
     * Creates schema definition, even when no types are available
     * Produces: `schema { query: Query }`
     */
    forceSchemaDefinition?: boolean;
    /**
     * Throws an error on a merge conflict
     */
    throwOnConflict?: boolean;
}
export declare function mergeGraphQLSchemas(types: Array<string | Source | DocumentNode | GraphQLSchema>, config?: Partial<Config>): DefinitionNode[];
export declare function mergeTypeDefs(types: Array<string | Source | DocumentNode | GraphQLSchema>, config?: Partial<Config>): DocumentNode;
export declare function mergeGraphQLTypes(types: Array<string | Source | DocumentNode | GraphQLSchema>, config: Config): DefinitionNode[];
